// Generated by LiveScript 1.6.0
(function(){
  var h, alias;
  h = require('maquette').h;
  alias = function(baseSelector){
    return function(selector, args, children){
      if (typeof selector === "object") {
        children = args;
        args = selector;
        selector = "";
      }
      return h(baseSelector + selector, args, children);
    };
  };
  module.exports = {
    container: alias('div.container'),
    footer: alias('footer.footer'),
    columns: alias('div.columns'),
    column: alias('div.column'),
    box: function(args, children){
      return h('div.box', args, children);
    },
    title: function(level, args, label){
      if (!label) {
        label = args;
        args = {};
      }
      return h("div.title.is-" + level, args, [label]);
    },
    label: function(args, label){
      if (!label) {
        label = args;
        args = {};
      }
      return h('label.label', args, [label]);
    },
    input: function(args, children){
      return h('input.input', args, children);
    },
    textarea: function(args, children){
      return h('textarea.textarea', args, children);
    },
    control: alias('div.control'),
    button: alias('div.button'),
    tag: alias('div.tag'),
    select: function(selector, args, children){
      if (typeof selector === "object") {
        children = args;
        args = selector;
        selector = "";
      }
      return h('div.select' + selector, {}, [h('select', {
        onchange: args.onchange || function(){}
      }, children)]);
    },
    field: function(selector, args, children){
      if (typeof selector === "object") {
        children = args;
        args = selector;
        selector = "";
      }
      return h('div.field' + selector, args, children);
    },
    form: function(method, url, content){
      return h('form.form', {
        action: url,
        method: method
      }, content);
    },
    media: function(args){
      return h('div.media', [args.left ? h('div.media-left', args.left) : void 8, args.content ? h('div.media-content', args.content) : void 8, args.right ? h('div.media-right', args.right) : void 8]);
    },
    level: function(args){
      return h('div.level', [args.left ? h('div.level-left', args.left) : void 8, args.right ? h('div.level-right', args.right) : void 8]);
    },
    navbar: function(args){
      var useContainer, classes, innerNavbar;
      args || (args = {});
      useContainer = args.useContainer || false;
      classes = args.classes || {};
      innerNavbar = function(){
        var start, end;
        return [args.brand ? h('div.navbar-brand', args.brand) : void 8, args.start || args.end ? h('div.navbar-menu', [(start = args.start) ? h('div.navbar-start', start) : void 8, (end = args.end) ? h('div.navbar-end', end) : void 8]) : void 8];
      };
      return h('nav.navbar', {
        classes: classes
      }, [useContainer
        ? h('div.container', innerNavbar())
        : innerNavbar()]);
    },
    navbarItem: alias('a.navbar-item'),
    hero: function(args){
      var head, headArgs, body, bodyArgs, footer, footerArgs;
      args || (args = {});
      return h('div.hero', args, [(head = args.head) ? (headArgs = args.headArgs || {}, h('div.hero-head', headArgs, head)) : void 8, (body = args.body) ? (bodyArgs = args.bodyArgs || {}, h('div.hero-body', bodyArgs, body)) : void 8, (footer = args.footer) ? (footerArgs = args.footerArgs || {}, h('div.hero-footer', footerArgs, footer)) : void 8]);
    },
    card: function(args){
      var header, title, icon, content, footer;
      args || (args = {});
      return h('div.card', args, [(header = args.header) ? h('div.card-header', [(title = header.title) ? h('div.card-header-title', [title]) : void 8, (icon = header.icon) ? h('div.card-header-icon', [icon]) : void 8]) : void 8, (content = args.content) ? h('div.card-content', content) : void 8, (footer = args.footer) ? h('div.card-footer', footer) : void 8]);
    }
  };
}).call(this);
